# -*- coding: utf-8 -*-
# Description:
# Python2 Compatibility module
#
# Authors:
# Benoît Allard <benoit.allard@greenbone.net>
#
# Copyright:
# Copyright (C) 2014 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

"""\
Glue for missing features of python3 in python2
"""

from datetime import tzinfo, timedelta

class FixedTimeZone(tzinfo):
    def __init__(self, offset):
        self.__offset = offset

    def utcoffset(self, dt):
        return self.__offset

    def dst(self, dt):
        return timedelta(0)

try:
  from urllib.request import urlopen
except ImportError:
  from urllib2 import urlopen
